#!/usr/bin/env python

import md5
import sys

urg = 32
ack = 16
psh = 8
rst = 4
syn = 2
fin = 1

def perror(str):
    sys.stderr.write("%s\n" % str)

def pdbg(str):
    sys.stderr.write("%s\n" % str)

def getMd5Hash(filename):

    try:
        f = file(filename, 'rb')
    except:
        return "Couldn't open file: %s for hashing" % filename

    md5obj = md5.new()

    datasz = 0

    while True:
        data = f.read(8096)

        if not data:
            break

        datasz += len(data)
        md5obj.update(data)

    return (md5obj.hexdigest(), datasz)

def getFlagAsString(flagcode):
   
    retVal = None

    if flagcode & urg == urg:
        retVal =  "URG"

    if flagcode & syn == syn:
        retVal =  "SYN"

    if flagcode & psh == psh:
        retVal =  "PSH"

    if flagcode & rst == rst:
        retVal =  "RST"
    
    if flagcode & fin == fin:
        if retVal == None:
            retVal =  "FIN"
        else:
            # PSH,FIN
            retVal = "%s,FIN" % retVal

    if flagcode & ack == ack:
        if retVal == None:
            retVal =  "ACK"
        else:
            retVal = "%s,ACK" % retVal

    return retVal

    

if __name__ == "__main__":

    print getFlagAsString(20497)
    print getFlagAsString(20496)
    print getFlagAsString(32784)

